/*
 *  Copyright (C) <2009>  Pavel Vakeš <pavel.vakes@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef Account_HEADER
#define Account_HEADER

#include <QObject>
#include <KConfigGroup>
#include <QSslCertificate>

class Account : public QObject
{
	Q_OBJECT

	public:
		Account(const KConfigGroup * config = 0);
		Account(const Account *);
		~Account();

		void loadConfiguration(const KConfigGroup * config);
		void saveConfiguration(KConfigGroup * config);

		bool isReadyForCheck();

		QString name;
		int interval;
		bool check_after_run;

		QString protocol;
		QString host;
		int port;
		bool ssl;
		QString username;
		QString password;
		int connection_timeout;
		QString mail_client;
		QList<QByteArray> certificates;
};

#endif
