/*
 *  Copyright (C) <2009>  Pavel Vakeš <pavel.vakes@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef AccountDialog_HEADER
#define AccountDialog_HEADER

#include "ui_account_dialog.h"
#include "list_account_item.h"

#include "account.h"

class AccountDialog : public QWidget, public Ui::AccountDialog {

	Q_OBJECT
	public:
		AccountDialog(QWidget * parent, ListAccountItem * account_item);
		~AccountDialog();

		void loadAccount();
		void saveAccount();

	private:
		ListAccountItem * _account_item;

	private slots:
		void checkInputFields();
		void changeDefaultPort();
};

#endif
