/*
 *  Copyright (C) <2009>  Pavel Vakeš <pavel.vakes@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ConfigDialog_HEADER
#define ConfigDialog_HEADER

#include <QMessageBox>

#include <vector>

#include "ui_config_dialog.h"
#include "list_account_item.h"
#include "account.h"
#include "account_dialog.h"

class ConfigDialog : public QWidget, public Ui::ConfigDialog {

	Q_OBJECT
	public:
		ConfigDialog();
		~ConfigDialog();

		void loadAccounts(const std::vector<Account*> &);

	private:
		AccountDialog *account_dialog;

	private slots:
		void createAccount();
		void editAccount();
		void removeAccount();
		void closeAccountDialog();
};

#endif
