/*
 *  Copyright (C) <2009>  Pavel Vakeš <pavel.vakes@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "list_account_item.h"


ListAccountItem::ListAccountItem(Account * account, QListWidget * parent)
	: QListWidgetItem(account->name, parent)
{
	this->account = account;

	font_normal = this->font();
	font_color_normal = this->foreground();

	font_not_ready = QFont(font_normal);
	font_not_ready.setItalic(true);
	font_color_not_ready = QBrush(font_color_normal);
	font_color_not_ready.setColor(Qt::gray);

	updateStatus();
}

ListAccountItem::~ListAccountItem()
{
	delete account;
}

void ListAccountItem::updateStatus() {
	if (account->isReadyForCheck()) {
		this->setFont(font_normal);
		this->setForeground(font_color_normal);
	}
	else {
		this->setFont(font_not_ready);
		this->setForeground(font_color_not_ready);
	}
}
