/*
 *  Copyright (C) <2009>  Pavel Vakeš <pavel.vakes@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MessagesDialog_HEADER
#define MessagesDialog_HEADER

#include <KIcon>
#include <KColorScheme>

#include <QtGui/QWidget>
#include <QtGui/QVBoxLayout>

#include <QStandardItem>
#include <QScrollBar>
#include <QtGui/QTreeView>

#include <Plasma/Delegate>
#include <Plasma/Theme>

#include <vector>

#include "account.h"
#include "mail_checker.h"
#include "messages_dialog_item.h"
#include "mail_checker_view.h"
#include "itemdelegate.h"


class MessagesDialog : public QWidget {

	Q_OBJECT
	public:
		MessagesDialog();
		~MessagesDialog();

		void createAccountItems(const std::vector<MailChecker*> &mail_checkers);

	private:
		MailCheckerView *view;
		QStandardItemModel *model;

	private slots:
		void updateColors();
};

#endif
