/*
 *  Copyright (C) <2009>  Pavel Vakeš <pavel.vakes@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MessagesDialogItem_HEADER
#define MessagesDialogItem_HEADER

#include <KIcon>
#include <QStandardItem>
#include <klocale.h>

#include "mail_checker.h"


class MessagesDialogItem : public QObject, public QStandardItem {

	Q_OBJECT
	public:
        enum Roles {
            StatusRole = Qt::UserRole + 1,
            TimeToCheckRole = Qt::UserRole + 2,
            CheckNowHoverRole = Qt::UserRole + 3,
            ScopeRole = Qt::UserRole + 4,
            SubTitleMandatoryRole = Qt::UserRole + 5
        };

		MessagesDialogItem(MailChecker * mail_checker);
		~MessagesDialogItem();

		void checkNow();
		void runMailClient();

	public slots:
		void setAction(MailChecker::Action action);
		void setTimeToCheck(int time_to_check);
		void setMessages(int count);
		void setError(QString error);

	signals:
		void checkNowClicked();
		void runMailClientClicked();
};

#endif
